Package org.kapott.hbci.sepa.jaxb.pain_008_003_02

## Class DirectDebitTransactionInformationSDD

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.pain_008_003_02.DirectDebitTransactionInformationSDD

    public class DirectDebitTransactionInformationSDD
    extends java.lang.Object

Java class for DirectDebitTransactionInformationSDD complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="DirectDebitTransactionInformationSDD">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="PmtId" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.003.02}PaymentIdentificationSEPA"/>
             <element name="InstdAmt" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.003.02}ActiveOrHistoricCurrencyAndAmountSEPA"/>
             <element name="ChrgBr" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.003.02}ChargeBearerTypeSEPACode" minOccurs="0"/>
             <element name="DrctDbtTx" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.003.02}DirectDebitTransactionSDD"/>
             <element name="UltmtCdtr" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.003.02}PartyIdentificationSEPA1" minOccurs="0"/>
             <element name="DbtrAgt" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.003.02}BranchAndFinancialInstitutionIdentificationSEPA3"/>
             <element name="Dbtr" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.003.02}PartyIdentificationSEPA2"/>
             <element name="DbtrAcct" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.003.02}CashAccountSEPA2"/>
             <element name="UltmtDbtr" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.003.02}PartyIdentificationSEPA1" minOccurs="0"/>
             <element name="Purp" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.003.02}PurposeSEPA" minOccurs="0"/>
             <element name="RmtInf" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.003.02}RemittanceInformationSEPA1Choice" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected ChargeBearerTypeSEPACode` `chrgBr`
`protected PartyIdentificationSEPA2` `dbtr`
`protected CashAccountSEPA2` `dbtrAcct`
`protected BranchAndFinancialInstitutionIdentificationSEPA3` `dbtrAgt`
`protected DirectDebitTransactionSDD` `drctDbtTx`
`protected ActiveOrHistoricCurrencyAndAmountSEPA` `instdAmt`
`protected PaymentIdentificationSEPA` `pmtId`
`protected PurposeSEPA` `purp`
`protected RemittanceInformationSEPA1Choice` `rmtInf`
`protected PartyIdentificationSEPA1` `ultmtCdtr`
`protected PartyIdentificationSEPA1` `ultmtDbtr`

### Constructor Summary

Constructors
`DirectDebitTransactionInformationSDD()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ChargeBearerTypeSEPACode` `getChrgBr()` Gets the value of the chrgBr property.
`PartyIdentificationSEPA2` `getDbtr()` Gets the value of the dbtr property.
`CashAccountSEPA2` `getDbtrAcct()` Gets the value of the dbtrAcct property.
`BranchAndFinancialInstitutionIdentificationSEPA3` `getDbtrAgt()` Gets the value of the dbtrAgt property.
`DirectDebitTransactionSDD` `getDrctDbtTx()` Gets the value of the drctDbtTx property.
`ActiveOrHistoricCurrencyAndAmountSEPA` `getInstdAmt()` Gets the value of the instdAmt property.
`PaymentIdentificationSEPA` `getPmtId()` Gets the value of the pmtId property.
`PurposeSEPA` `getPurp()` Gets the value of the purp property.
`RemittanceInformationSEPA1Choice` `getRmtInf()` Gets the value of the rmtInf property.
`PartyIdentificationSEPA1` `getUltmtCdtr()` Gets the value of the ultmtCdtr property.
`PartyIdentificationSEPA1` `getUltmtDbtr()` Gets the value of the ultmtDbtr property.
`void` `setChrgBr​(ChargeBearerTypeSEPACode value)` Sets the value of the chrgBr property.
`void` `setDbtr​(PartyIdentificationSEPA2 value)` Sets the value of the dbtr property.
`void` `setDbtrAcct​(CashAccountSEPA2 value)` Sets the value of the dbtrAcct property.
`void` `setDbtrAgt​(BranchAndFinancialInstitutionIdentificationSEPA3 value)` Sets the value of the dbtrAgt property.
`void` `setDrctDbtTx​(DirectDebitTransactionSDD value)` Sets the value of the drctDbtTx property.
`void` `setInstdAmt​(ActiveOrHistoricCurrencyAndAmountSEPA value)` Sets the value of the instdAmt property.
`void` `setPmtId​(PaymentIdentificationSEPA value)` Sets the value of the pmtId property.
`void` `setPurp​(PurposeSEPA value)` Sets the value of the purp property.
`void` `setRmtInf​(RemittanceInformationSEPA1Choice value)` Sets the value of the rmtInf property.
`void` `setUltmtCdtr​(PartyIdentificationSEPA1 value)` Sets the value of the ultmtCdtr property.
`void` `setUltmtDbtr​(PartyIdentificationSEPA1 value)` Sets the value of the ultmtDbtr property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### pmtId

    protected PaymentIdentificationSEPA pmtId

#### instdAmt

    protected ActiveOrHistoricCurrencyAndAmountSEPA instdAmt

#### chrgBr

    protected ChargeBearerTypeSEPACode chrgBr

#### drctDbtTx

    protected DirectDebitTransactionSDD drctDbtTx

#### ultmtCdtr

    protected PartyIdentificationSEPA1 ultmtCdtr

#### dbtrAgt

    protected BranchAndFinancialInstitutionIdentificationSEPA3 dbtrAgt

#### dbtr

    protected PartyIdentificationSEPA2 dbtr

#### dbtrAcct

    protected CashAccountSEPA2 dbtrAcct

#### ultmtDbtr

    protected PartyIdentificationSEPA1 ultmtDbtr

#### purp

    protected PurposeSEPA purp

#### rmtInf

    protected RemittanceInformationSEPA1Choice rmtInf

### Constructor Detail

#### DirectDebitTransactionInformationSDD

    public DirectDebitTransactionInformationSDD()

### Method Detail

#### getPmtId

    public PaymentIdentificationSEPA getPmtId()

Gets the value of the pmtId property.

Returns:
  possible object is `PaymentIdentificationSEPA`

#### setPmtId

    public void setPmtId​(PaymentIdentificationSEPA value)

Sets the value of the pmtId property.

Parameters:
  `value` - allowed object is `PaymentIdentificationSEPA`

#### getInstdAmt

    public ActiveOrHistoricCurrencyAndAmountSEPA getInstdAmt()

Gets the value of the instdAmt property.

Returns:
  possible object is `ActiveOrHistoricCurrencyAndAmountSEPA`

#### setInstdAmt

    public void setInstdAmt​(ActiveOrHistoricCurrencyAndAmountSEPA value)

Sets the value of the instdAmt property.

Parameters:
  `value` - allowed object is `ActiveOrHistoricCurrencyAndAmountSEPA`

#### getChrgBr

    public ChargeBearerTypeSEPACode getChrgBr()

Gets the value of the chrgBr property.

Returns:
  possible object is `ChargeBearerTypeSEPACode`

#### setChrgBr

    public void setChrgBr​(ChargeBearerTypeSEPACode value)

Sets the value of the chrgBr property.

Parameters:
  `value` - allowed object is `ChargeBearerTypeSEPACode`

#### getDrctDbtTx

    public DirectDebitTransactionSDD getDrctDbtTx()

Gets the value of the drctDbtTx property.

Returns:
  possible object is `DirectDebitTransactionSDD`

#### setDrctDbtTx

    public void setDrctDbtTx​(DirectDebitTransactionSDD value)

Sets the value of the drctDbtTx property.

Parameters:
  `value` - allowed object is `DirectDebitTransactionSDD`

#### getUltmtCdtr

    public PartyIdentificationSEPA1 getUltmtCdtr()

Gets the value of the ultmtCdtr property.

Returns:
  possible object is `PartyIdentificationSEPA1`

#### setUltmtCdtr

    public void setUltmtCdtr​(PartyIdentificationSEPA1 value)

Sets the value of the ultmtCdtr property.

Parameters:
  `value` - allowed object is `PartyIdentificationSEPA1`

#### getDbtrAgt

    public BranchAndFinancialInstitutionIdentificationSEPA3 getDbtrAgt()

Gets the value of the dbtrAgt property.

Returns:
  possible object is `BranchAndFinancialInstitutionIdentificationSEPA3`

#### setDbtrAgt

    public void setDbtrAgt​(BranchAndFinancialInstitutionIdentificationSEPA3 value)

Sets the value of the dbtrAgt property.

Parameters:
  `value` - allowed object is `BranchAndFinancialInstitutionIdentificationSEPA3`

#### getDbtr

    public PartyIdentificationSEPA2 getDbtr()

Gets the value of the dbtr property.

Returns:
  possible object is `PartyIdentificationSEPA2`

#### setDbtr

    public void setDbtr​(PartyIdentificationSEPA2 value)

Sets the value of the dbtr property.

Parameters:
  `value` - allowed object is `PartyIdentificationSEPA2`

#### getDbtrAcct

    public CashAccountSEPA2 getDbtrAcct()

Gets the value of the dbtrAcct property.

Returns:
  possible object is `CashAccountSEPA2`

#### setDbtrAcct

    public void setDbtrAcct​(CashAccountSEPA2 value)

Sets the value of the dbtrAcct property.

Parameters:
  `value` - allowed object is `CashAccountSEPA2`

#### getUltmtDbtr

    public PartyIdentificationSEPA1 getUltmtDbtr()

Gets the value of the ultmtDbtr property.

Returns:
  possible object is `PartyIdentificationSEPA1`

#### setUltmtDbtr

    public void setUltmtDbtr​(PartyIdentificationSEPA1 value)

Sets the value of the ultmtDbtr property.

Parameters:
  `value` - allowed object is `PartyIdentificationSEPA1`

#### getPurp

    public PurposeSEPA getPurp()

Gets the value of the purp property.

Returns:
  possible object is `PurposeSEPA`

#### setPurp

    public void setPurp​(PurposeSEPA value)

Sets the value of the purp property.

Parameters:
  `value` - allowed object is `PurposeSEPA`

#### getRmtInf

    public RemittanceInformationSEPA1Choice getRmtInf()

Gets the value of the rmtInf property.

Returns:
  possible object is `RemittanceInformationSEPA1Choice`

#### setRmtInf

    public void setRmtInf​(RemittanceInformationSEPA1Choice value)

Sets the value of the rmtInf property.

Parameters:
  `value` - allowed object is `RemittanceInformationSEPA1Choice`